<?php
/**************************************************
  Coppermine 1.5.x Plugin - Copper ads
  *************************************************
  Copyright (c) 2006 Borzoo Mossavari
  Continue by foulu (2011)
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  This is a simple Advertisement plugin without statistics
  or any kind of log.
  this will give you flash/picture/HTML banner
  By using FRAME technology
  ***************************************************/
  
if ( ! defined('IN_COPPERMINE')) die('Not in Coppermine...');
if ( ! defined('CORE_PLUGIN'))   define('CORE_PLUGIN', true);

include 'plugins/copperads/helpers/codebase15x_helper.php';

// Add an install & configure & uninstall actions
$thisplugin->add_action('plugin_install',   'copperads_install');
$thisplugin->add_action('plugin_configure', 'copperads_configure');
$thisplugin->add_action('plugin_uninstall', 'copperads_uninstall');
$thisplugin->add_action('plugin_cleanup',   'copperads_cleanup');

// Add the main filter - Add banner to end of each table
$thisplugin->add_filter('page_html','copperads_banner');
// Add banner at the end of the each table with given limit
function copperads_banner($html) {
    global $COPPERADS;
    if ((GALLERY_ADMIN_MODE && $COPPERADS['admin_show'] == 1) || (!GALLERY_ADMIN_MODE)) {
        if ($COPPERADS['status'] == '3') {
            if ($COPPERADS['text_title'] == '') {
                $new_banner = '!-- End standard table --><!-- Start Banner table --><table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><td align="center"><iframe align="middle" frameborder="0" height="'.$COPPERADS['height'].'" id="adver" marginheight="0" marginwidth="0" name="adver"  scrolling="no" src="banner.php" width="'.$COPPERADS['width'].'"></iframe></td></tr></table><!-- End Banner table --';
            } else {
                $new_banner = '!-- End standard table --><!-- Start Banner table --><table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><td align="center"><iframe align="middle" frameborder="0" height="'.$COPPERADS['height'].'" id="adver" marginheight="0" marginwidth="0" name="adver"  scrolling="no" src="banner.php" width="'.$COPPERADS['width'].'"></iframe></td></tr><tr><td align="center"><font size="1">'.$COPPERADS['text_title'].'</font></td></tr></table><!-- End Banner table --';
            }
            if ($COPPERADS['max_show_number'] > 0) {
                $html = preg_replace('<!-- End standard table -->', $new_banner, $html, $COPPERADS['max_show_number']);
            } else {
                $html = preg_replace('<!-- End standard table -->', $new_banner, $html);
            }
        }
    }
    return $html;
}


// Add actions
$thisplugin->add_action('page_start','copperads_page_start');
// Add admin button to start of each page
function copperads_page_start() {

    global $CONFIG, $lang_plugin_copperads, $lang_plugin_copperads_config, $COPPERADS, $lang_plugin_copperads_manage, $lang_plugin_copperads_delete;

	require_once ('plugins/copperads/include/init.inc.php');
	require_once ('plugins/copperads/include/init2.inc.php');

	$CONFIG['TABLE_PLUGIN_COPPERADS'] = $CONFIG['TABLE_PREFIX'] . 'plugin_copperads';
	$CONFIG['TABLE_COPPERADS_CONFIG'] = $CONFIG['TABLE_PREFIX'] . 'copperads_config';

	if (GALLERY_ADMIN_MODE) {
		copperads_add_config_button('index.php?file=copperads/advmgr', $lang_plugin_copperads['config_title'], '', $lang_plugin_copperads['config_button']);
    }

	if ($COPPERADS['status'] == '1') {
		copperads_add_banner_after_sys_menu();    
    }

	if ($COPPERADS['status'] == '2') {
		copperads_add_banner_after_sub_menu();
	}

}

// Add config button
function copperads_add_config_button($href, $title, $target, $link) {
    global $template_gallery_admin_menu;

    $new_template = $template_gallery_admin_menu;
    $button = template_extract_block($new_template,'documentation');
    $params = array(
        '{DOCUMENTATION_HREF}' => $href,
        '{DOCUMENTATION_TITLE}' => $title,
        'target="cpg_documentation"' => $target,
        '{DOCUMENTATION_LNK}' => $link,
    );
    $new_button="<!-- BEGIN $link -->".template_eval($button,$params)."<!-- END $link -->\n";
    template_extract_block($template_gallery_admin_menu,'documentation',"<!-- BEGIN documentation -->" . $button . "<!-- END documentation -->\n" . $new_button);
}

// add banner after sys menu for javascript sys menu compatibility
function copperads_add_banner_after_sys_menu() {
    global $template_sys_menu, $COPPERADS;
    if ((GALLERY_ADMIN_MODE && $copperads['admin_show'] == 1) || (!GALLERY_ADMIN_MODE)) {
        if ($COPPERADS['text_title']=='') {
            $template_sys_menu = $template_sys_menu.'</div></div><!-- Start Banner table --><table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><td align="center"><iframe align="middle" frameborder="0" height="'.$COPPERADS['height'].'" id="adver" marginheight="0" marginwidth="0" name="adver"  scrolling="no" src="banner.php" width="'.$COPPERADS['width'].'"></iframe></td></tr></table><!-- End Banner table --><div><div>';
        } else {
            $template_sys_menu = $template_sys_menu.'</div></div><!-- Start Banner table --><table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><td align="center"><iframe align="middle" frameborder="0" height="'.$COPPERADS['height'].'" id="adver" marginheight="0" marginwidth="0" name="adver"  scrolling="no" src="banner.php" width="'.$COPPERADS['width'].'"></iframe></td></tr><tr><td align="center"><font size="1">'.$COPPERADS['text_title'].'</font></td></tr></table><!-- End Banner table --><div><div>';
        }
    }
}

// add banner after sub menu for normal sys menu
function copperads_add_banner_after_sub_menu() {
    global $template_sub_menu, $COPPERADS;
    if ((GALLERY_ADMIN_MODE && $COPPERADS['admin_show'] == 1) || (!GALLERY_ADMIN_MODE)) {
        if ($COPPERADS['text_title'] == '') {
            $template_sub_menu = $template_sub_menu.'<!-- Start Banner table --><table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><td align="center"><iframe align="middle" frameborder="0" height="'.$COPPERADS['height'].'" id="adver" marginheight="0" marginwidth="0" name="adver"  scrolling="no" src="banner.php" width="'.$COPPERADS['width'].'"></iframe></td></tr></table><!-- End Banner table -->';
        } else {
            $template_sub_menu = $template_sub_menu.'<!-- Start Banner table --><table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><td align="center"><iframe align="middle" frameborder="0" height="'.$COPPERADS['height'].'" id="adver" marginheight="0" marginwidth="0" name="adver"  scrolling="no" src="banner.php" width="'.$COPPERADS['width'].'"></iframe></td></tr><tr><td align="center"><font size="1">'.$COPPERADS['text_title'].'</font></td></tr></table><!-- End Banner table -->';
        }
    }
}

?>
